Loading...
Searching...
No Matches
Opm::BlackOilEnergyIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | updateTemperature_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the temperature of the intensive quantity's fluid state.
void | updateTemperature_ (const Problem &problem, const PrimaryVariables &priVars, unsigned globalDofIdx, const unsigned timeIdx, const LinearizationType &lintype)
| Update the temperature of the intensive quantity's fluid state.
void | updateEnergyQuantities_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Compute the intensive quantities needed to handle energy conservation.
void | updateEnergyQuantities_ (const Problem &problem, const unsigned globalSpaceIdx, const unsigned timeIdx)
const Evaluation & | rockInternalEnergy () const
const Evaluation & | totalThermalConductivity () const
Scalar | rockFraction () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | rockInternalEnergy_
Evaluation | totalThermalConductivity_
Scalar | rockFraction_

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilenergymodules.hh